QXmppStanza Class Reference
Stanzas

The QXmppStanza class is the base class for all XMPP stanzas. More...

`#include <QXmppStanza.h>`

Inheritance diagram for QXmppStanza:
[legend]

## Public Member Functions

| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
virtual bool | isXmppStanza () const

## Detailed Description

The QXmppStanza class is the base class for all XMPP stanzas.

## Constructor & Destructor Documentation

## QXmppStanza()

QXmppStanza::QXmppStanza | ( | const QString & | from = `QString()`,
|  | const QString & | to = `QString()`
| ) |  |

Constructs a QXmppStanza with the specified sender and recipient.

Parameters

  from |
  to |

## Member Function Documentation

## extendedAddresses()

QList< QXmppExtendedAddress > QXmppStanza::extendedAddresses | ( |  | ) | const

Returns the stanza's extended addresses as defined by XEP-0033: Extended Stanza Addressing.

## extensions()

QXmppElementList QXmppStanza::extensions | ( |  | ) | const

Returns the stanza's "extensions".

Extensions are XML elements which are not handled internally by QXmpp.

## isXmppStanza()

bool QXmppStanza::isXmppStanza | ( |  | ) | const

virtual

Indicates if the QXmppStanza is a stanza in the XMPP sense (i. e. a message, iq or presence)

Reimplemented in QXmppMessage, QXmppPresence, and QXmppIq.

## setError()

void QXmppStanza::setError | ( | const QXmppStanza::Error & | error | ) |

Sets the stanza's error.

Parameters

  error |

## setExtendedAddresses()

void QXmppStanza::setExtendedAddresses | ( | const QList< QXmppExtendedAddress > & | addresses | ) |

Sets the stanza's extended addresses as defined by XEP-0033: Extended Stanza Addressing.

## setExtensions()

void QXmppStanza::setExtensions | ( | const QXmppElementList & | extensions | ) |

Sets the stanza's "extensions".

Parameters

  extensions |

## setFrom()

void QXmppStanza::setFrom | ( | const QString & | from | ) |

Sets the stanza's sender JID.

Parameters

  from |

## setId()

void QXmppStanza::setId | ( | const QString & | id | ) |

Sets the stanza's identifier.

Parameters

  id |

## setLang()

void QXmppStanza::setLang | ( | const QString & | lang | ) |

Sets the stanza's language.

Parameters

  lang |

## setTo()

void QXmppStanza::setTo | ( | const QString & | to | ) |

Sets the stanza's recipient JID.

Parameters

  to |

## to()

QString QXmppStanza::to | ( |  | ) | const

Returns the stanza's recipient JID.

The documentation for this class was generated from the following files:

- QXmppStanza.h
- QXmppStanza.cpp